org.apache.ignite.internal.processors.streamer

## Class GridStreamerExecutionBatch

- java.lang.Object
- - org.apache.ignite.internal.processors.streamer.GridStreamerExecutionBatch

All Implemented Interfaces:
  Externalizable, Serializable, OptimizedMarshallable

    public class GridStreamerExecutionBatch
    extends Object
    implements Externalizable, OptimizedMarshallable

Streamer execution batch which should be processed on one node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.marshaller.optimized.OptimizedMarshallable

`CLS_ID_FIELD_NAME`

### Constructor Summary

Constructors
Constructor and Description
`GridStreamerExecutionBatch()` Empty constructor required by `Externalizable`.
`GridStreamerExecutionBatch(IgniteUuid execId, long execStartTs, IgniteUuid futId, Collection<UUID> execNodeIds, String stageName, Collection<Object> evts)` Execution batch.

### Method Summary

Methods
`void` `deployment(GridDeployment dep)` Sets deployment.
`Collection<Object>` `events()`
`IgniteUuid` `executionId()`
`Collection<UUID>` `executionNodeIds()`
`long` `executionStartTimeStamp()`
`IgniteUuid` `futureId()`
`Object` `ggClassId()` Implementation of this method should simply return value of `GG_CLASS_ID` field.
`void` `readExternal(ObjectInput in)`
`String` `stageName()`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridStreamerExecutionBatch

    public GridStreamerExecutionBatch()

Empty constructor required by `Externalizable`.

#### GridStreamerExecutionBatch

    public GridStreamerExecutionBatch(IgniteUuid execId,
                              long execStartTs,
                              IgniteUuid futId,
                              Collection<UUID> execNodeIds,
                              String stageName,
                              Collection<Object> evts)

Execution batch.

Parameters:
  `execId` - Execution ID.
  `futId` - Future ID.
  `execStartTs` - Execution start timestamp.
  `execNodeIds` - Nodes participated in this execution.
  `stageName` - Stage name to execute.
  `evts` - Events to process.

### Method Detail

#### deployment

    public void deployment(GridDeployment dep)

Sets deployment. Deployment is not marshalled.

Parameters:
  `dep` - Deployment for batch.

#### executionId

    public IgniteUuid executionId()

Returns:
  Execution ID.

#### executionStartTimeStamp

    public long executionStartTimeStamp()

Returns:
  Execution start timestamp.

#### futureId

    public IgniteUuid futureId()

Returns:
  Batch future ID.

#### executionNodeIds

    public Collection<UUID> executionNodeIds()

Returns:
  Execution node IDs.

#### stageName

    public String stageName()

Returns:
  Stage name.

#### events

    public Collection<Object> events()

Returns:
  Events collection.

#### ggClassId

    public Object ggClassId()

Implementation of this method should simply return value of `GG_CLASS_ID` field.

Specified by:
  `ggClassId` in interface `OptimizedMarshallable`
Returns:
  Class ID for optimized marshalling.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015